Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455210 - Review Request: odfpy - Python library for manipulating OpenDocument files
Summary: Review Request: odfpy - Python library for manipulating OpenDocument files
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ricky Zhou
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 03:13 UTC by Ian Weller
Modified: 2008-07-23 21:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-23 21:46:28 UTC
rickyz: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ian Weller 2008-07-14 03:13:40 UTC
Spec URL: http://ianweller.fedorapeople.org/SRPMS/odfpy/0.7-1/odfpy.spec
SRPM URL: http://ianweller.fedorapeople.org/SRPMS/odfpy/0.7-1/odfpy-0.7-1.fc9.src.rpm
Description: 

Odfpy aims to be a complete API for OpenDocument in Python. Unlike
other more convenient APIs, this one is essentially an abstraction
layer just above the XML format. The main focus has been to prevent
the programmer from creating invalid documents. It has checks that
raise an exception if the programmer adds an invalid element, adds an
attribute unknown to the grammar, forgets to add a required attribute
or adds text to an element that doesn't allow it.

These checks and the API itself were generated from the RelaxNG
schema, and then hand-edited. Therefore the API is complete and can
handle all ODF constructions, but could be improved in its
understanding of data types.

Comment 1 Ricky Zhou 2008-07-15 02:26:19 UTC
Build cleanly in mock.

* rpmlint clean
* sources match upstream:
a8e76163f9d328fe7b8b93617cdc945692758408  odfpy-0.7.tgz
* package meets naming guidelines
x doesn't use consistent macros: I'd go with %{optflags} and %{buildroot}
instead of $RPM_OPT_FLAGS and $RPM_BUILD_ROOT
* build root is ok
* correct/allowed license tag
x License text is added to the package -
http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text says it
shouldn't be.  I'd take it out for now and bug upstream :-)
* Requires/BuildRequires are OK
* No %check section, but the tests don't seem completely functional at the
moment (bug upstream)
* Installs/uninstalls fine
* Permissions are fine

APPROVED (just fix those the above tiny issues)

Comment 2 Ian Weller 2008-07-15 02:33:37 UTC
Thanks.

New Package CVS Request
=======================
Package Name: odfpy
Short Description: Python library for manipulating OpenDocument files
Owners: ianweller, pfrields
Branches: F-8 F-9 EL-4 EL-5
InitialCC: [none]
Cvsextras Commits: yes

Comment 3 Ian Weller 2008-07-15 02:37:03 UTC
Oh, whoops. I set fedora-cvs to +. Silly me!

Comment 4 Kevin Fenzi 2008-07-15 16:52:24 UTC
cvs done.

Comment 5 Fedora Update System 2008-07-15 19:05:17 UTC
odfpy-0.7-2.fc8 has been submitted as an update for Fedora 8

Comment 6 Fedora Update System 2008-07-15 19:05:58 UTC
odfpy-0.7-2.fc9 has been submitted as an update for Fedora 9

Comment 7 Fedora Update System 2008-07-17 14:17:46 UTC
odfpy-0.7-2.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-07-17 14:20:07 UTC
odfpy-0.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Ricky Zhou 2008-07-23 21:46:28 UTC
Closing NEXTRELEASE, since it has been pushed.


Note You need to log in before you can comment on or make changes to this bug.